#New Player
execute as @a unless entity @s[scores={newplayer=1}] run function odyssey_command:give_charm_of_devotion
execute as @a unless entity @s[scores={newplayer=1}] run scoreboard players set @s newplayer 1

#Potion Effect Ads
effect give @a minecraft:luck 999999 0 true
effect give @a minecraft:unluck 999999 0 true

#### GUi ###
clear @a minecraft:command_block{blank:1}

execute as @e[tag=class_select] if entity @s[scores={page=-1}] unless entity @s[scores={page=0}] run scoreboard players set @s page 1
execute as @e[tag=class_select] unless entity @s[scores={page=1}] unless entity @s[scores={page=0}] run scoreboard players set @s page 0

execute as @a run execute store success score @s test run clear @s minecraft:command_block{next:1}
execute as @a run execute if score @s test matches 1 run scoreboard players add @e[tag=class_select,limit=1,sort=nearest] page 1
execute as @a run execute at @s run execute if score @s test matches 1 run playsound ui.button.click master @s

execute as @a run execute store success score @s test run clear @s minecraft:command_block{previous:1}
execute as @a run execute if score @s test matches 1 run scoreboard players remove @e[tag=class_select,limit=1,sort=nearest] page 1
execute as @a run execute at @s run execute if score @s test matches 1 run playsound ui.button.click master @s

	# Level GUi
execute as @a[scores={Level_Up_Detect_Cooldown=1..}] run scoreboard players remove @s Level_Up_Detect_Cooldown 1
execute as @a[scores={Level_Up_Detect_Cooldown=0}] run execute at @s run execute unless score @s XP_Up_Detect >= @s XP_GUI run playsound entity.experience_orb.pickup master @s ~ ~ ~ 0.2
execute as @a[scores={Level_Up_Detect_Cooldown=0}] run execute at @s run execute unless score @s Level_Up_Detect >= @s Level run playsound ui.toast.challenge_complete master @s ~ ~ ~ 0.2
execute as @a[scores={Level_Up_Detect_Cooldown=0}] run execute at @s run execute unless score @s Level_Up_Detect >= @s Level run tellraw @p {"text":"You leveled up your class!","color":"gold","hoverEvent":{"action":"show_text","contents":[{"text":"Click to announce your level up to the server!","color":"green"}]},"clickEvent":{"action":"run_command","value":"/tellraw @a [{\"selector\":\"@s\",\"color\":\"gold\"},{\"text\":\" has leveled up!\"}]"}}
execute as @a run scoreboard players operation @s Level_Up_Detect = @s Level
execute as @a run scoreboard players operation @s XP_Up_Detect = @s XP_GUI
		# Render
title @a[gamemode=!creative,gamemode=!spectator,scores={Level=1}] actionbar {"text":"\uE003"}
title @a[gamemode=!creative,gamemode=!spectator,scores={Level=1,XP_GUI=1}] actionbar {"text":"\uE008"}
title @a[gamemode=!creative,gamemode=!spectator,scores={Level=1,XP_GUI=2}] actionbar {"text":"\uE009"}
title @a[gamemode=!creative,gamemode=!spectator,scores={Level=1,XP_GUI=3}] actionbar {"text":"\uE010"}

title @a[gamemode=!creative,gamemode=!spectator,scores={Level=2}] actionbar {"text":"\uE005"}
title @a[gamemode=!creative,gamemode=!spectator,scores={Level=2,XP_GUI=1}] actionbar {"text":"\uE011"}
title @a[gamemode=!creative,gamemode=!spectator,scores={Level=2,XP_GUI=2}] actionbar {"text":"\uE012"}
title @a[gamemode=!creative,gamemode=!spectator,scores={Level=2,XP_GUI=3}] actionbar {"text":"\uE013"}

title @a[gamemode=!creative,gamemode=!spectator,scores={Level=3}] actionbar {"text":"\uE006"}
title @a[gamemode=!creative,gamemode=!spectator,scores={Level=3,XP_GUI=1}] actionbar {"text":"\uE014"}
title @a[gamemode=!creative,gamemode=!spectator,scores={Level=3,XP_GUI=2}] actionbar {"text":"\uE015"}
title @a[gamemode=!creative,gamemode=!spectator,scores={Level=3,XP_GUI=3}] actionbar {"text":"\uE016"}

title @a[gamemode=!creative,gamemode=!spectator,scores={Level=4}] actionbar {"text":"\uE007"}

# Passive Zombie Spawn Scan
execute as @e[type=zombie,tag=!passive_zombie,tag=!not_passive_zombie,sort=random] run function odyssey:passive_zombie

# Glider Function
execute as @a run execute if entity @s[nbt={SelectedItem:{id:"minecraft:command_block", tag:{glider:1}}}] run effect give @s minecraft:slow_falling 1 1 true

function prayer:prayer_loop
item replace entity @e[tag=hellenes] weapon.mainhand with bow{display:{Name:'{"text":" "}'},invisible:1} 1
execute as @a run team join hellenes
execute as @e[tag=hellenes] run team join hellenes
team leave @e[tag=quest]

##Entity
# Spawn Scan
execute as @e[tag=siren] run function odyssey_settings:siren_ai
function odyssey_settings:brown_bear_ai
function odyssey_settings:deer_ai
function odyssey_settings:dryad_ai
function odyssey_settings:harpy_ai
function odyssey_settings:cherub_ai
function odyssey_settings:hellenes_ai
function odyssey_settings:name
execute as @e[type=armor_stand,nbt={Marker:1b}] run data merge entity @s {Fire:2000}
function odyssey_settings:boomerang_ai

## Spawn Scan
execute as @e[type=tropical_fish,tag=!not_siren,sort=random] at @s run function odyssey:spawn_siren

##Block
function odyssey_settings:testblock_ai
function odyssey_settings:grape_vines_ai
function odyssey_settings:zombie_figure_ai
function odyssey_settings:loot_crate_ai
function odyssey_settings:loot_crate_fake_ai
function odyssey_settings:red_arm_chair_ai
function odyssey_settings:roof_tiles_ai
function odyssey_settings:crimson_beacon_ai
function odyssey_settings:proximity_detector_ai
function odyssey_settings:water_candle_ai
function odyssey_settings:phantom_block_ai
function odyssey_settings:locked_block_ai
function odyssey_settings:brazier_ai
function odyssey_settings:vase_ai

##Item
function odyssey_settings:confetti_gun
function odyssey_settings:boomerang
function odyssey_settings:key
function odyssey_settings:key_ai
function odyssey_settings:charm_of_devotion
execute as @a if entity @s[nbt={Inventory:[{id:"minecraft:written_book",tag:{quest_book:1}}]}] run execute at @s run data merge entity @e[type=zombie,limit=1,sort=random,distance=..5,tag=!harpy,tag=!cherub] {ArmorItems:[{id:"minecraft:command_block",Count:1b,tag:{display:{Name:'{"text":"Zombie Token","color":"white","italic":false}'},zombie_token:1}},{},{},{}],ArmorDropChances:[2.000F,0.085F,0.085F,0.085F]}

	# Drops
execute as @e[tag=brown_bear_drop] at @s unless entity @e[tag=brown_bear,distance=0..1] run kill @s
execute as @e[tag=deer_drop] at @s unless entity @e[tag=deer,distance=0..1] run kill @s



#### APHRODITE ####
	# Run Function
team leave @e[team=passive,type=!player]
execute as @a[scores={AphAcolyte=-1},team=passive] run team leave @s
execute as @a[scores={AphAcolyte=1}] run function odyssey_settings:class_aphrodite
	# Class Select Button
execute as @a run execute store success score @s test run clear @s minecraft:command_block{aphrodite_icon:1}
execute as @a run execute if score @s test matches 1 run function odyssey:join_aphrodite
	# Info
execute as @a run execute store success score @s test run clear @s minecraft:command_block{info_aphrodite:1}
execute as @a run execute if score @s test matches 1 run function odyssey:info_aphrodite
	# Altar
execute at @e[tag=aph_shrine] run function odyssey_settings:tribute_values
execute as @e[scores={AphValue=1..}] run scoreboard players add @s item_sacrafice 1
execute as @e[scores={item_sacrafice=40..}] run execute at @s run scoreboard players operation @a[distance=..15] AphFavor += @s AphValue
execute at @e[scores={item_sacrafice=40..}] run execute as @p run execute if score @s AphAcolyte matches ..0 run tellraw @s {"text":"Aphrodite guides your path","color":"green"}
execute at @e[scores={item_sacrafice=40..}] run execute as @p run function odyssey:revoke_all_devotion
execute at @e[scores={item_sacrafice=40..}] run scoreboard players set @p AphAcolyte 1
execute at @e[scores={item_sacrafice=40..}] run playsound block.amethyst_block.place master @a ~ ~ ~ 1
execute at @e[scores={item_sacrafice=40..}] run particle smoke ~ ~ ~ 0 0 0 0.02 20 normal
execute as @e[scores={item_sacrafice=40..}] run kill @s



#### APOLLO ####
	# Run Function
execute as @a[scores={ApoAcolyte=1}] run function odyssey_settings:class_apollo
	# Class Select Button
execute as @a run execute store success score @s test run clear @s minecraft:command_block{apollo_icon:1}
execute as @a run execute if score @s test matches 1 run function odyssey:join_apollo
	# Info
execute as @a run execute store success score @s test run clear @s minecraft:command_block{info_apollo:1}
execute as @a run execute if score @s test matches 1 run function odyssey:info_apollo
	# Altar
execute at @e[tag=apo_shrine] run function odyssey_settings:tribute_values
execute as @e[scores={ApoValue=1..}] run scoreboard players add @s item_sacrafice 1
execute as @e[scores={item_sacrafice=40..}] run execute at @s run scoreboard players operation @a[distance=..15] ApoFavor += @s ApoValue
execute at @e[scores={item_sacrafice=40..}] run execute as @p run execute if score @s ApoAcolyte matches ..0 run tellraw @s {"text":"Apollo guides your path","color":"green"}
execute at @e[scores={item_sacrafice=40..}] run execute as @p run function odyssey:revoke_all_devotion
execute at @e[scores={item_sacrafice=40..}] run scoreboard players set @p ApoAcolyte 1
execute at @e[scores={item_sacrafice=40..}] run playsound item.crossbow.hit master @a ~ ~ ~ 1
execute at @e[scores={item_sacrafice=40..}] run particle smoke ~ ~ ~ 0 0 0 0.02 20 normal
execute as @e[scores={item_sacrafice=40..}] run kill @s



#### ARES ####
	# Run Function
execute as @a[scores={ArAcolyte=1}] run function odyssey_settings:class_ares
	# Class Select Button
execute as @a run execute store success score @s test run clear @s minecraft:command_block{ares_icon:1}
execute as @a run execute if score @s test matches 1 run function odyssey:join_ares
	# Info
execute as @a run execute store success score @s test run clear @s minecraft:command_block{info_ares:1}
execute as @a run execute if score @s test matches 1 run function odyssey:info_ares
	# Altar
execute at @e[tag=ar_shrine] run function odyssey_settings:tribute_values
execute as @e[scores={ArValue=1..}] run scoreboard players add @s item_sacrafice 1
execute as @e[scores={item_sacrafice=40..}] run execute at @s run scoreboard players operation @a[distance=..15] ArFavor += @s ArValue
execute at @e[scores={item_sacrafice=40..}] run execute as @p run execute if score @s ArAcolyte matches ..0 run tellraw @s {"text":"Ares guides your path","color":"green"}
execute at @e[scores={item_sacrafice=40..}] run execute as @p run function odyssey:revoke_all_devotion
execute at @e[scores={item_sacrafice=40..}] run scoreboard players set @p ArAcolyte 1
execute at @e[scores={item_sacrafice=40..}] run playsound entity.player.hurt master @a ~ ~ ~ 1
execute at @e[scores={item_sacrafice=40..}] run particle smoke ~ ~ ~ 0 0 0 0.02 20 normal
execute as @e[scores={item_sacrafice=40..}] run kill @s



#### ARTEMIS ####
	# Run Function
execute as @a[scores={ArtemisAcolyte=1}] run function odyssey_settings:class_artemis
	# Class Select Button
execute as @a run execute store success score @s test run clear @s minecraft:command_block{artemis_icon:1}
execute as @a run execute if score @s test matches 1 run function odyssey:join_artemis
	# Info
execute as @a run execute store success score @s test run clear @s minecraft:command_block{info_artemis:1}
execute as @a run execute if score @s test matches 1 run function odyssey:info_artemis
	# Altar
execute at @e[tag=artemis_shrine] run function odyssey_settings:tribute_values
execute as @e[scores={ArtValue=1..}] run scoreboard players add @s item_sacrafice 1
execute as @e[scores={item_sacrafice=40..}] run execute at @s run scoreboard players operation @a[distance=..15] ArtemisFavor += @s ArtValue
execute at @e[scores={item_sacrafice=40..}] run execute as @p run execute if score @s ArtemisAcolyte matches ..0 run tellraw @s {"text":"Artemis guides your path","color":"green"}
execute at @e[scores={item_sacrafice=40..}] run execute as @p run function odyssey:revoke_all_devotion
execute at @e[scores={item_sacrafice=40..}] run scoreboard players set @p ArtemisAcolyte 1
execute at @e[scores={item_sacrafice=40..}] run playsound item.crossbow.shoot master @a ~ ~ ~ 1
execute at @e[scores={item_sacrafice=40..}] run particle smoke ~ ~ ~ 0 0 0 0.02 20 normal
execute as @e[scores={item_sacrafice=40..}] run kill @s



#### ATHENA ####
	# Run Function
execute as @a[scores={AthAcolyte=1}] run function odyssey_settings:class_athena
	# Class Select Button
execute as @a run execute store success score @s test run clear @s minecraft:command_block{athena_icon:1}
execute as @a run execute if score @s test matches 1 run function odyssey:join_athena
	# Info
execute as @a run execute store success score @s test run clear @s minecraft:command_block{info_athena:1}
execute as @a run execute if score @s test matches 1 run function odyssey:info_athena
	# Altar
execute at @e[tag=ath_shrine] run function odyssey_settings:tribute_values
execute as @e[scores={AthValue=1..}] run scoreboard players add @s item_sacrafice 1
execute as @e[scores={item_sacrafice=40..}] run execute at @s run scoreboard players operation @a[distance=..15] AthFavor += @s AthValue
execute at @e[scores={item_sacrafice=40..}] run execute as @p run execute if score @s AthAcolyte matches ..0 run tellraw @s {"text":"Athena guides your path","color":"green"}
execute at @e[scores={item_sacrafice=40..}] run execute as @p run function odyssey:revoke_all_devotion
execute at @e[scores={item_sacrafice=40..}] run scoreboard players set @p AthAcolyte 1
execute at @e[scores={item_sacrafice=40..}] run playsound block.enchantment_table.use master @a ~ ~ ~ 1
execute at @e[scores={item_sacrafice=40..}] run particle smoke ~ ~ ~ 0 0 0 0.02 20 normal
execute as @e[scores={item_sacrafice=40..}] run kill @s



#### DEMETER ####
	# Run Function
execute as @a[scores={DemAcolyte=1}] run function odyssey_settings:class_demeter
	# Class Select Button
execute as @a run execute store success score @s test run clear @s minecraft:command_block{demeter_icon:1}
execute as @a run execute if score @s test matches 1 run function odyssey:join_demeter
	# Info
execute as @a run execute store success score @s test run clear @s minecraft:command_block{info_demeter:1}
execute as @a run execute if score @s test matches 1 run function odyssey:info_demeter
	# Altar
execute at @e[tag=dem_shrine] run function odyssey_settings:tribute_values
execute as @e[scores={DemValue=1..}] run scoreboard players add @s item_sacrafice 1
execute as @e[scores={item_sacrafice=40..}] run execute at @s run scoreboard players operation @a[distance=..15] DemFavor += @s DemValue
execute at @e[scores={item_sacrafice=40..}] run execute as @p run execute if score @s DemAcolyte matches ..0 run tellraw @s {"text":"Demeter guides your path","color":"green"}
execute at @e[scores={item_sacrafice=40..}] run execute as @p run function odyssey:revoke_all_devotion
execute at @e[scores={item_sacrafice=40..}] run scoreboard players set @p DemAcolyte 1
execute at @e[scores={item_sacrafice=40..}] run playsound item.hoe.till master @a ~ ~ ~ 1
execute at @e[scores={item_sacrafice=40..}] run particle smoke ~ ~ ~ 0 0 0 0.02 20 normal
execute as @e[scores={item_sacrafice=40..}] run kill @s



#### DIONYSUS ####
	# Run Function
execute as @a[scores={DionAcolyte=1}] run function odyssey_settings:class_dionysus
	# Class Select Button
execute as @a run execute store success score @s test run clear @s minecraft:command_block{dionysus_icon:1}
execute as @a run execute if score @s test matches 1 run function odyssey:join_dionysus
	# Info
execute as @a run execute store success score @s test run clear @s minecraft:command_block{info_dionysus:1}
execute as @a run execute if score @s test matches 1 run function odyssey:info_dionysus
	# Altar
execute at @e[tag=dion_shrine] run function odyssey_settings:tribute_values
execute as @e[scores={DionValue=1..}] run scoreboard players add @s item_sacrafice 1
execute as @e[scores={item_sacrafice=40..}] run execute at @s run scoreboard players operation @a[distance=..15] DionFavor += @s DionValue
execute at @e[scores={item_sacrafice=40..}] run execute as @p run execute if score @s DionAcolyte matches ..0 run tellraw @s {"text":"Dionysus guides your path","color":"green"}
execute at @e[scores={item_sacrafice=40..}] run execute as @p run function odyssey:revoke_all_devotion
execute at @e[scores={item_sacrafice=40..}] run scoreboard players set @p DionAcolyte 1
execute at @e[scores={item_sacrafice=40..}] run playsound entity.generic.drink master @a ~ ~ ~ 1
execute at @e[scores={item_sacrafice=40..}] run particle smoke ~ ~ ~ 0 0 0 0.02 20 normal
execute as @e[scores={item_sacrafice=40..}] run kill @s



#### HEPHAESTUS ####
	# Run Function
execute as @a[scores={HephaestusAcolyte=1}] run function odyssey_settings:class_hephaestus
	# Class Select Button
execute as @a run execute store success score @s test run clear @s minecraft:command_block{hephaestus_icon:1}
execute as @a run execute if score @s test matches 1 run function odyssey:join_hephaestus
	# Info
execute as @a run execute store success score @s test run clear @s minecraft:command_block{info_hephaestus:1}
execute as @a run execute if score @s test matches 1 run function odyssey:info_hephaestus
	# Alter
execute at @e[tag=hephaestus_shrine] run function odyssey_settings:tribute_values
execute as @e[scores={HephValue=1..}] run scoreboard players add @s item_sacrafice 1
execute as @e[scores={item_sacrafice=40..}] run execute at @s run scoreboard players operation @a[distance=..15] HephaestusFavor += @s HephValue
execute at @e[scores={item_sacrafice=40..}] run execute as @p run execute if score @s HephaestusAcolyte matches ..0 run tellraw @s {"text":"Hephaestus guides your path","color":"green"}
execute as @e[scores={item_sacrafice=40..}] run execute as @p run function odyssey:revoke_all_devotion
execute at @e[scores={item_sacrafice=40..}] run scoreboard players set @p HephaestusAcolyte 1
execute at @e[scores={item_sacrafice=40..}] run playsound block.anvil.land master @a ~ ~ ~ 1
execute at @e[scores={item_sacrafice=40..}] run particle smoke ~ ~ ~ 0 0 0 0.02 20 normal
execute as @e[scores={item_sacrafice=40..}] run kill @s



#### HERA ####
	# Run Function
execute as @a[scores={HeraAcolyte=1}] run function odyssey_settings:class_hera
	# Class Select Button
execute as @a run execute store success score @s test run clear @s minecraft:command_block{hera_icon:1}
execute as @a run execute if score @s test matches 1 run function odyssey:join_hera
	# Info
execute as @a run execute store success score @s test run clear @s minecraft:command_block{info_hera:1}
execute as @a run execute if score @s test matches 1 run function odyssey:info_hera
	# Altar
execute at @e[tag=hera_shrine] run function odyssey_settings:tribute_values
execute as @e[scores={HeraValue=1..}] run scoreboard players add @s item_sacrafice 1
execute as @e[scores={item_sacrafice=40..}] run execute at @s run scoreboard players operation @a[distance=..15] HeraFavor += @s HeraValue
execute at @e[scores={item_sacrafice=40..}] run execute as @p run execute if score @s HeraAcolyte matches ..0 run tellraw @s {"text":"Hera guides your path","color":"green"}
execute at @e[scores={item_sacrafice=40..}] run execute as @p run function odyssey:revoke_all_devotion
execute at @e[scores={item_sacrafice=40..}] run scoreboard players set @p HeraAcolyte 1
execute at @e[scores={item_sacrafice=40..}] run playsound block.nether_gold_ore.place master @a ~ ~ ~ 1
execute at @e[scores={item_sacrafice=40..}] run particle smoke ~ ~ ~ 0 0 0 0.02 20 normal
execute as @e[scores={item_sacrafice=40..}] run kill @s



#### HERMES ####
	# Run Function
execute as @a[scores={HermAcolyte=1}] run function odyssey_settings:class_hermes
	# Class Select Button
execute as @a run execute store success score @s test run clear @s minecraft:command_block{hermes_icon:1}
execute as @a run execute if score @s test matches 1 run function odyssey:join_hermes
	# Info
execute as @a run execute store success score @s test run clear @s minecraft:command_block{info_hermes:1}
execute as @a run execute if score @s test matches 1 run function odyssey:info_hermes
	# Altar
execute at @e[tag=herm_shrine] run function odyssey_settings:tribute_values
execute as @e[scores={HermValue=1..}] run scoreboard players add @s item_sacrafice 1
execute as @e[scores={item_sacrafice=40..}] run execute at @s run scoreboard players operation @a[distance=..15] HermFavor += @s HermValue
execute at @e[scores={item_sacrafice=40..}] run execute as @p run execute if score @s HermAcolyte matches ..0 run tellraw @s {"text":"<Hermes> I guide your path","color":"green"}
execute at @e[scores={item_sacrafice=40..}] run execute as @p run function odyssey:revoke_all_devotion
execute at @e[scores={item_sacrafice=40..}] run scoreboard players set @p HermAcolyte 1
execute at @e[scores={item_sacrafice=40..}] run playsound item.lodestone_compass.lock master @a ~ ~ ~ 1
execute at @e[scores={item_sacrafice=40..}] run particle smoke ~ ~ ~ 0 0 0 0.02 20 normal
execute as @e[scores={item_sacrafice=40..}] run kill @s



#### NEPTUNE ####
	# Run Function
execute as @e[scores={PosAcolyte=..0},team=ocean] run team leave @s
execute as @a[scores={PosAcolyte=1}] run function odyssey_settings:class_neptune
	# Class Select Button
execute as @a run execute store success score @s test run clear @s minecraft:command_block{neptune_icon:1}
execute as @a run execute if score @s test matches 1 run function odyssey:join_neptune
	# Info
execute as @a run execute store success score @s test run clear @s minecraft:command_block{info_neptune:1}
execute as @a run execute if score @s test matches 1 run function odyssey:info_neptune
	# Altar
execute at @e[tag=pos_shrine] run function odyssey_settings:tribute_values
execute as @e[scores={PosValue=1..}] run scoreboard players add @s item_sacrafice 1
execute as @e[scores={item_sacrafice=40..}] run execute at @s run scoreboard players operation @a[distance=..15] PosFavor += @s PosValue
execute at @e[scores={item_sacrafice=40..}] run execute as @p run execute if score @s PosAcolyte matches ..0 run tellraw @s {"text":"Poseidon guides your path","color":"green"}
execute at @e[scores={item_sacrafice=40..}] run execute as @p run function odyssey:revoke_all_devotion
execute at @e[scores={item_sacrafice=40..}] run scoreboard players set @p PosAcolyte 1
execute at @e[scores={item_sacrafice=40..}] run playsound entity.generic.splash master @a ~ ~ ~ 1
execute at @e[scores={item_sacrafice=40..}] run particle smoke ~ ~ ~ 0 0 0 0.02 20 normal
execute as @e[scores={item_sacrafice=40..}] run kill @s



#### ZEUS ####
	# Run Function
execute as @a[scores={ZeusAcolyte=1}] run function odyssey_settings:class_zeus
	# Class Select Button
execute as @a run execute store success score @s test run clear @s minecraft:command_block{zeus_icon:1}
execute as @a run execute if score @s test matches 1 run function odyssey:join_zeus
	# Info
execute as @a run execute store success score @s test run clear @s minecraft:command_block{info_zeus:1}
execute as @a run execute if score @s test matches 1 run function odyssey:info_zeus
	# Altar
execute at @e[tag=zeus_shrine] run function odyssey_settings:tribute_values
execute as @e[scores={ZeusValue=1..}] run scoreboard players add @s item_sacrafice 1
execute as @e[scores={item_sacrafice=40..}] run execute at @s run scoreboard players operation @a[distance=..15] ZeusFavor += @s ZeusValue
execute at @e[scores={item_sacrafice=40..}] run execute as @p run execute if score @s ZeusAcolyte matches ..0 run tellraw @s {"text":"Zeus guides your path","color":"green"}
execute at @e[scores={item_sacrafice=40..}] run execute as @p run function odyssey:revoke_all_devotion
execute at @e[scores={item_sacrafice=40..}] run scoreboard players set @p ZeusAcolyte 1
execute at @e[scores={item_sacrafice=40..}] run playsound entity.lightning_bolt.thunder master @a ~ ~ ~ 1
execute at @e[scores={item_sacrafice=40..}] run particle smoke ~ ~ ~ 0 0 0 0.02 20 normal
execute as @e[scores={item_sacrafice=40..}] run kill @s