### Arch Ai
execute as @e[tag=boomerang] run execute at @s run tp @s ~ ~ ~ ~50 ~
execute as @e[tag=boomerang_hitbox,scores={Momentum=-20..}] run execute at @s run tp @s ^ ^ ^0.5
execute as @e[tag=boomerang_hitbox,scores={Momentum=..-20}] run execute at @s run tp @s ^ ^ ^-0.5
execute as @e[tag=boomerang_hitbox,scores={Momentum=..-40}] run execute at @s run tp @s ~ ~-0.5 ~
execute as @e[tag=boomerang_hitbox,scores={Momentum=..-60}] run execute at @s run tp @s ~ ~-0.8 ~
execute at @e[tag=boomerang_hitbox] run tp @e[limit=1,sort=nearest,tag=boomerang] ~ ~ ~

execute as @e[tag=boomerang_hitbox] run scoreboard players remove @s Momentum 1

### Damage
execute at @e[tag=boomerang_hitbox,scores={Momentum=-5..}] run execute as @e[type=!#undead,type=!player,distance=..1] run effect give @s instant_damage
execute at @e[tag=boomerang_hitbox,scores={Momentum=..-5}] run execute as @e[type=!#undead,distance=..1,scores={thrownBoomerang=0}] run effect give @s instant_damage
execute at @e[tag=boomerang_hitbox] run execute as @e[type=#undead,distance=..1] run effect give @s instant_health

### Fire
execute as @e[tag=boomerang_hitbox] run execute at @s run scoreboard players remove @s onFire 1
execute as @e[tag=boomerang_hitbox] run execute at @s if block ~ ~ ~ #fire run scoreboard players set @s onFire 100
execute as @e[tag=boomerang_hitbox,scores={onFire=1..}] run execute at @s if block ~ ~-1 ~ netherrack run setblock ~ ~ ~ fire

execute as @e[tag=boomerang_hitbox,scores={onFire=1..}] run execute at @s if block ~ ~-1 ~ barrier unless block ~ ~ ~ fire run playsound item.firecharge.use block @a ~ ~ ~ 0.2 1
execute as @e[tag=boomerang_hitbox,scores={onFire=1..}] run execute at @s if block ~ ~-1 ~ barrier run setblock ~ ~ ~ fire

### Flip Lever
# Flip On
execute at @e[tag=boomerang] run execute if block ~ ~ ~ lever[powered=false] run playsound block.lever.click player @a
execute at @e[tag=boomerang] run execute if block ~ ~ ~ lever[face=ceiling,facing=north,powered=false] run setblock ~ ~ ~ lever[face=ceiling,facing=north,powered=true]
execute at @e[tag=boomerang] run execute if block ~ ~ ~ lever[face=ceiling,facing=east,powered=false] run setblock ~ ~ ~ lever[face=ceiling,facing=east,powered=true]
execute at @e[tag=boomerang] run execute if block ~ ~ ~ lever[face=ceiling,facing=south,powered=false] run setblock ~ ~ ~ lever[face=ceiling,facing=south,powered=true]
execute at @e[tag=boomerang] run execute if block ~ ~ ~ lever[face=ceiling,facing=west,powered=false] run setblock ~ ~ ~ lever[face=ceiling,facing=west,powered=true]
execute at @e[tag=boomerang] run execute if block ~ ~ ~ lever[face=floor,facing=north,powered=false] run setblock ~ ~ ~ lever[face=floor,facing=north,powered=true]
execute at @e[tag=boomerang] run execute if block ~ ~ ~ lever[face=floor,facing=east,powered=false] run setblock ~ ~ ~ lever[face=floor,facing=east,powered=true]
execute at @e[tag=boomerang] run execute if block ~ ~ ~ lever[face=floor,facing=south,powered=false] run setblock ~ ~ ~ lever[face=floor,facing=south,powered=true]
execute at @e[tag=boomerang] run execute if block ~ ~ ~ lever[face=floor,facing=west,powered=false] run setblock ~ ~ ~ lever[face=floor,facing=west,powered=true]
execute at @e[tag=boomerang] run execute if block ~ ~ ~ lever[face=wall,facing=north,powered=false] run setblock ~ ~ ~ lever[face=wall,facing=north,powered=true]
execute at @e[tag=boomerang] run execute if block ~ ~ ~ lever[face=wall,facing=east,powered=false] run setblock ~ ~ ~ lever[face=wall,facing=east,powered=true]
execute at @e[tag=boomerang] run execute if block ~ ~ ~ lever[face=wall,facing=south,powered=false] run setblock ~ ~ ~ lever[face=wall,facing=south,powered=true]
execute at @e[tag=boomerang] run execute if block ~ ~ ~ lever[face=wall,facing=west,powered=false] run setblock ~ ~ ~ lever[face=wall,facing=west,powered=true]

### Collision Detect
## Catch
execute at @e[tag=boomerang_hitbox,scores={Momentum=..-20}] run execute if entity @e[scores={thrownBoomerang=1..},distance=..1] run kill @e[tag=boomerang,limit=1,sort=nearest,distance=..5]
execute as @e[tag=boomerang_hitbox,scores={Momentum=..-20}] run execute at @s run execute if entity @a[scores={thrownBoomerang=1..},distance=..1] run summon item ~ ~ ~ {Motion:[0.0,0.0,0.0],Item:{id:"minecraft:carrot_on_a_stick",Count:1b,tag:{display:{Name:'{"text":"Boomerang","italic":false}'},boomerang:1}}}
execute at @e[tag=boomerang_hitbox,scores={Momentum=..-20}] run execute as @a[distance=..1] run scoreboard players set @s thrownBoomerang 1
execute as @e[tag=boomerang_hitbox,scores={Momentum=..-20}] run execute at @s run execute if entity @a[scores={thrownBoomerang=1..},distance=..1] run kill @s
execute as @a[scores={thrownBoomerang=1..}] run scoreboard players remove @s thrownBoomerang 1
## Block
execute at @e[tag=boomerang_hitbox,scores={Momentum=..-20}] run execute unless block ~ ~ ~ #nonsolid run kill @e[tag=boomerang,limit=1,sort=nearest,distance=..5]
execute as @e[tag=boomerang_hitbox,scores={Momentum=..-20}] run execute at @s run execute unless block ~ ~ ~ #nonsolid run summon item ~ ~ ~ {Motion:[0.0,0.2,0.0],Item:{id:"minecraft:carrot_on_a_stick",Count:1b,tag:{display:{Name:'{"text":"Boomerang","italic":false}'},boomerang:1}}}
execute as @e[tag=boomerang_hitbox,scores={Momentum=..-20}] run execute at @s run execute unless block ~ ~ ~ #nonsolid run playsound entity.zombie.attack_wooden_door player @a ~ ~ ~ 0.1 2
execute as @e[tag=boomerang_hitbox,scores={Momentum=..-20}] run execute at @s run execute unless block ~ ~ ~ #nonsolid run kill @s

execute as @e[tag=boomerang_hitbox,scores={Momentum=-20..}] run execute at @s unless block ~ ~ ~ #nonsolid run scoreboard players set @s Momentum -20
execute as @e[tag=boomerang_hitbox] run execute at @s run execute unless block ~ ~ ~ #nonsolid run playsound entity.zombie.attack_wooden_door player @a ~ ~ ~ 0.1 2
execute as @e[tag=boomerang_hitbox,scores={Momentum=-20..}] run execute at @s unless block ~ ~ ~ #nonsolid run tp @s ^ ^ ^-0.5