# Block Placing
scoreboard players set @e[type=armor_stand] isFenced 1
execute as @e[type=armor_stand] run execute at @s unless block ~ ~-1 ~ #minecraft:fencetype run execute at @s run scoreboard players set @s isFenced 0

execute at @e[tag=brazier_spawner,scores={isFenced=0}] run summon armor_stand ~ ~ ~ {Marker:1b,Invisible:1b,Tags:["brazier"],Rotation:[0F,90F],ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{brazier_unlit:1}}],Tags:["brazier"]}
execute at @e[tag=brazier_spawner,scores={isFenced=1}] run summon armor_stand ~ ~-0.5 ~ {Marker:1b,Invisible:1b,Tags:["brazier"],Rotation:[0F,90F],ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{brazier_unlit:1}}],Tags:["brazier"]}
execute at @e[tag=brazier_spawner] run setblock ~ ~ ~ barrier destroy

# Place Sound
execute at @e[tag=brazier_spawner] run playsound block.basalt.place block @a

# Block AI
execute at @e[tag=brazier] if block ~ ~1 ~ fire run fill ~1 ~1 ~1 ~-1 ~-1 ~-1 redstone_wire[power=15] replace redstone_wire
execute at @e[tag=brazier] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{brazier_unlit:1}}]}
execute as @e[tag=brazier] run execute at @s if block ~ ~1 ~ fire run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{brazier_lit:1}}]}
execute as @e[tag=brazier] run execute at @s if block ~ ~1 ~ fire run scoreboard players set @s onFire 100
execute as @e[tag=brazier] run execute at @s if block ~ ~1 ~ fire run scoreboard players set @s onFire 100
execute as @e[tag=brazier,scores={onFire=..0}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{brazier_unlit:1}}]}
execute at @e[tag=brazier,scores={onFire=-1}] run playsound block.fire.extinguish block @a ~ ~ ~ 0.1 1.3
execute at @e[tag=brazier,scores={onFire=-1}] run particle smoke ~ ~0.8 ~ 0.1 0.1 0.1 0.001 20 normal

execute as @e[tag=brazier] run scoreboard players remove @s onFire 1

# Block Break
kill @e[tag=brazier_spawner]
execute as @e[tag=brazier] run execute at @s unless block ~ ~ ~ barrier run kill @e[type=item,distance=..0.8]
execute as @e[tag=brazier] run execute at @s if entity @p[gamemode=!creative] unless block ~ ~ ~ barrier run summon item ~ ~ ~ {Motion:[0.0,0.2,0.0],Tags:["brazier_spawner:1"],Item:{id:"minecraft:ghast_spawn_egg",Count:1b,tag:{display:{Name:'{"text":"Brazier","italic":false}'},brazier_spawner:1,EntityTag:{id:"minecraft:armor_stand",Marker:1b,Invisible:1b,Tags:["brazier_spawner"]}}}}
execute as @e[tag=brazier] run execute at @s unless block ~ ~ ~ barrier run kill @s
