# Block Placing
scoreboard players set @e[type=armor_stand] isFenced 1
execute as @e[type=armor_stand] run execute at @s unless block ~ ~-1 ~ #minecraft:fencetype run execute at @s run scoreboard players set @s isFenced 0

execute at @e[tag=phantom_block_spawner,scores={isFenced=0}] run summon armor_stand ~ ~ ~ {Marker:1b,Invisible:1b,Tags:["phantom_block"],Rotation:[0F,90F],ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{phantom_block:1}}],Tags:["phantom_block"]}
execute at @e[tag=phantom_block_spawner,scores={isFenced=1}] run summon armor_stand ~ ~-0.5 ~ {Marker:1b,Invisible:1b,Tags:["phantom_block"],Rotation:[0F,90F],ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{phantom_block:1}}],Tags:["phantom_block"]}
execute at @e[tag=phantom_block_spawner] run setblock ~ ~ ~ blue_stained_glass destroy

# Place Sound
execute at @e[tag=phantom_block_spawner] run playsound block.stone.place block @a
execute at @e[tag=phantom_block_spawner] run playsound entity.phantom.ambient block @a ~ ~ ~ 0.1

### Block AI
execute as @e[tag=phantom_block,scores={isActive=0}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{phantom_block:1}}]}
execute as @e[tag=phantom_block,scores={isActive=1..}] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{phantom_block_phased:1}}]}

execute at @e[tag=phantom_block,scores={isActive=0}] if block ~ ~ ~ tripwire run setblock ~ ~ ~ blue_stained_glass
execute at @e[tag=phantom_block,scores={isActive=1..}] if block ~ ~ ~ blue_stained_glass run setblock ~ ~ ~ tripwire

# Activate
execute as @e[tag=phantom_block] run execute at @s run scoreboard players set @s isActive 0
execute as @e[tag=phantom_block] run execute at @s if block ~ ~-1 ~ redstone_block run scoreboard players set @s isActive 15

# Power
execute as @e[tag=phantom_block] run execute at @s if entity @e[tag=phantom_block,scores={isActive=15},distance=1..1.2] run scoreboard players set @s isActive 14
execute as @e[tag=phantom_block] run execute at @s if entity @e[tag=phantom_block,scores={isActive=14},distance=1..1.2] run scoreboard players set @s isActive 13
execute as @e[tag=phantom_block] run execute at @s if entity @e[tag=phantom_block,scores={isActive=13},distance=1..1.2] run scoreboard players set @s isActive 12
execute as @e[tag=phantom_block] run execute at @s if entity @e[tag=phantom_block,scores={isActive=12},distance=1..1.2] run scoreboard players set @s isActive 11
execute as @e[tag=phantom_block] run execute at @s if entity @e[tag=phantom_block,scores={isActive=11},distance=1..1.2] run scoreboard players set @s isActive 10
execute as @e[tag=phantom_block] run execute at @s if entity @e[tag=phantom_block,scores={isActive=10},distance=1..1.2] run scoreboard players set @s isActive 9
execute as @e[tag=phantom_block] run execute at @s if entity @e[tag=phantom_block,scores={isActive=9},distance=1..1.2] run scoreboard players set @s isActive 8
execute as @e[tag=phantom_block] run execute at @s if entity @e[tag=phantom_block,scores={isActive=8},distance=1..1.2] run scoreboard players set @s isActive 7
execute as @e[tag=phantom_block] run execute at @s if entity @e[tag=phantom_block,scores={isActive=7},distance=1..1.2] run scoreboard players set @s isActive 6
execute as @e[tag=phantom_block] run execute at @s if entity @e[tag=phantom_block,scores={isActive=6},distance=1..1.2] run scoreboard players set @s isActive 5
execute as @e[tag=phantom_block] run execute at @s if entity @e[tag=phantom_block,scores={isActive=5},distance=1..1.2] run scoreboard players set @s isActive 4
execute as @e[tag=phantom_block] run execute at @s if entity @e[tag=phantom_block,scores={isActive=4},distance=1..1.2] run scoreboard players set @s isActive 3
execute as @e[tag=phantom_block] run execute at @s if entity @e[tag=phantom_block,scores={isActive=3},distance=1..1.2] run scoreboard players set @s isActive 2
execute as @e[tag=phantom_block] run execute at @s if entity @e[tag=phantom_block,scores={isActive=2},distance=1..1.2] run scoreboard players set @s isActive 1

execute as @e[tag=phantom_block] run scoreboard players add @s timer 1
execute as @e[tag=phantom_block,scores={timer=5..}] run scoreboard players add @s timer 1

# Block Break
kill @e[tag=phantom_block_spawner]
execute as @e[tag=phantom_block] run execute at @s unless block ~ ~ ~ blue_stained_glass unless block ~ ~ ~ tripwire run kill @e[type=item,distance=..0.8]
execute as @e[tag=phantom_block] run execute at @s if entity @p[gamemode=!creative] unless block ~ ~ ~ blue_stained_glass unless block ~ ~ ~ tripwire run summon item ~ ~ ~ {Motion:[0.0,0.2,0.0],Tags:["phantom_block_spawner:1"],Item:{id:"minecraft:ghast_spawn_egg",Count:1b,tag:{display:{Name:'{"text":"Phantom Block","italic":false}'},phantom_block_spawner:1,EntityTag:{id:"minecraft:armor_stand",Marker:1b,Invisible:1b,Tags:["phantom_block_spawner"]}}}}
execute as @e[tag=phantom_block] run execute at @s unless block ~ ~ ~ blue_stained_glass unless block ~ ~ ~ tripwire run playsound entity.phantom.bite block @a ~ ~ ~ 0.1
execute as @e[tag=phantom_block] run execute at @s unless block ~ ~ ~ blue_stained_glass unless block ~ ~ ~ tripwire run kill @s

