# Block Placing
execute as @e[tag=proximity_detector_spawner] run execute at @s run scoreboard players set @s isFenced 1
execute as @e[tag=proximity_detector_spawner] run execute at @s unless block ~ ~-1 ~ #minecraft:fences unless block ~ ~-1 ~ #minecraft:walls unless block ~ ~-1 ~ #minecraft:fence_gates run execute at @s run scoreboard players set @e[limit=1,sort=nearest] isFenced 0
execute at @e[tag=proximity_detector_spawner,scores={isFenced=0}] run summon armor_stand ~ ~ ~ {Marker:1b,Invisible:1b,Tags:["proximity_detector"],Rotation:[0F,90F],ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{proximity_detector:1}}],Tags:["proximity_detector"]}
execute at @e[tag=proximity_detector_spawner,scores={isFenced=1}] run summon armor_stand ~ ~-0.5 ~ {Marker:1b,Invisible:1b,Tags:["proximity_detector"],Rotation:[0F,90F],ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{proximity_detector:1}}],Tags:["proximity_detector"]}
execute at @e[tag=proximity_detector_spawner] run setblock ~ ~ ~ target

# Place Sound
execute at @e[tag=proximity_detector_spawner] run playsound block.stone.place block @a

# Block Break
kill @e[tag=proximity_detector_spawner]
execute as @e[tag=proximity_detector] run execute at @s unless block ~ ~ ~ target run kill @e[type=item,distance=..0.8]
execute as @e[tag=proximity_detector] run execute at @s unless block ~ ~ ~ target run kill @s
execute as @e[tag=proximity_detector] run execute at @s if entity @p[gamemode=!creative] unless block ~ ~ ~ target run summon item ~ ~ ~ {Motion:[0.0,0.2,0.0],Tags:["proximity_detector_spawner:1"],Item:{id:"minecraft:ghast_spawn_egg",Count:1b,tag:{display:{Name:'{"text":"Proximity Detector","italic":false}'},proximity_detector_spawner:1,EntityTag:{id:"minecraft:armor_stand",Marker:1b,Invisible:1b,Tags:["proximity_detector_spawner"]}}}}

# Block AI
execute as @e[tag=proximity_detector] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{proximity_detector:1}}]}
execute at @e[tag=proximity_detector] run setblock ~ ~ ~ target[power=0]
execute as @e[tag=proximity_detector] run execute at @s if entity @a[nbt=!{ActiveEffects:[{Id:14}]},distance=..15] run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{proximity_detector_active:1}}]}
execute as @e[tag=proximity_detector] run execute at @s if entity @a[nbt=!{ActiveEffects:[{Id:14}]},distance=0..1] run setblock ~ ~ ~ target[power=15]
execute as @e[tag=proximity_detector] run execute at @s if entity @a[nbt=!{ActiveEffects:[{Id:14}]},distance=1..2] run setblock ~ ~ ~ target[power=14]
execute as @e[tag=proximity_detector] run execute at @s if entity @a[nbt=!{ActiveEffects:[{Id:14}]},distance=2..3] run setblock ~ ~ ~ target[power=13]
execute as @e[tag=proximity_detector] run execute at @s if entity @a[nbt=!{ActiveEffects:[{Id:14}]},distance=3..4] run setblock ~ ~ ~ target[power=12]
execute as @e[tag=proximity_detector] run execute at @s if entity @a[nbt=!{ActiveEffects:[{Id:14}]},distance=4..5] run setblock ~ ~ ~ target[power=11]
execute as @e[tag=proximity_detector] run execute at @s if entity @a[nbt=!{ActiveEffects:[{Id:14}]},distance=5..6] run setblock ~ ~ ~ target[power=10]
execute as @e[tag=proximity_detector] run execute at @s if entity @a[nbt=!{ActiveEffects:[{Id:14}]},distance=6..7] run setblock ~ ~ ~ target[power=9]
execute as @e[tag=proximity_detector] run execute at @s if entity @a[nbt=!{ActiveEffects:[{Id:14}]},distance=7..8] run setblock ~ ~ ~ target[power=8]
execute as @e[tag=proximity_detector] run execute at @s if entity @a[nbt=!{ActiveEffects:[{Id:14}]},distance=8..9] run setblock ~ ~ ~ target[power=7]
execute as @e[tag=proximity_detector] run execute at @s if entity @a[nbt=!{ActiveEffects:[{Id:14}]},distance=9..10] run setblock ~ ~ ~ target[power=6]
execute as @e[tag=proximity_detector] run execute at @s if entity @a[nbt=!{ActiveEffects:[{Id:14}]},distance=10..11] run setblock ~ ~ ~ target[power=5]
execute as @e[tag=proximity_detector] run execute at @s if entity @a[nbt=!{ActiveEffects:[{Id:14}]},distance=11..12] run setblock ~ ~ ~ target[power=4]
execute as @e[tag=proximity_detector] run execute at @s if entity @a[nbt=!{ActiveEffects:[{Id:14}]},distance=12..13] run setblock ~ ~ ~ target[power=3]
execute as @e[tag=proximity_detector] run execute at @s if entity @a[nbt=!{ActiveEffects:[{Id:14}]},distance=13..14] run setblock ~ ~ ~ target[power=2]
execute as @e[tag=proximity_detector] run execute at @s if entity @a[nbt=!{ActiveEffects:[{Id:14}]},distance=14..15] run setblock ~ ~ ~ target[power=1]

