# Block Placing
scoreboard players set @e[type=armor_stand] isFenced 1
execute as @e[type=armor_stand] run execute at @s unless block ~ ~-1 ~ #minecraft:fencetype run execute at @s run scoreboard players set @s isFenced 0

execute at @e[tag=zombie_figure_spawner,scores={isFenced=0}] run summon armor_stand ~ ~ ~ {Marker:1b,Invisible:1b,Tags:["zombie_figure"],Rotation:[0F,90F],ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{zombie_figure:1}}],Tags:["zombie_figure"]}
execute at @e[tag=zombie_figure_spawner,scores={isFenced=1}] run summon armor_stand ~ ~-0.5 ~ {Marker:1b,Invisible:1b,Tags:["zombie_figure"],Rotation:[0F,90F],ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{zombie_figure:1}}],Tags:["zombie_figure"]}
execute at @e[tag=zombie_figure_spawner] run setblock ~ ~ ~ acacia_button[face=floor,powered=true] destroy

# Place Sound
execute at @e[tag=zombie_figure_spawner] run playsound entity.parrot.imitate.zombie block @a
execute at @e[tag=zombie_figure_spawner] run playsound block.candle.place block @a

# Block Facing
execute as @e[tag=zombie_figure_spawner] run execute at @s if entity @p[y_rotation=225..315] run tp @e[type=armor_stand,limit=2,sort=nearest] ~ ~ ~ 90 ~
execute as @e[tag=zombie_figure_spawner] run execute at @s if entity @p[y_rotation=315..405] run tp @e[type=armor_stand,limit=2,sort=nearest] ~ ~ ~ 180 ~
execute as @e[tag=zombie_figure_spawner] run execute at @s if entity @p[y_rotation=45..135] run tp @e[type=armor_stand,limit=2,sort=nearest] ~ ~ ~ 270 ~
execute as @e[tag=zombie_figure_spawner] run execute at @s if entity @p[y_rotation=135..225] run tp @e[type=armor_stand,limit=2,sort=nearest] ~ ~ ~ 360 ~

# Block AI

# Block Break
kill @e[tag=zombie_figure_spawner]
execute as @e[tag=zombie_figure] run execute at @s unless block ~ ~ ~ acacia_button[face=floor,powered=true] run kill @e[type=item,distance=..0.8]
execute as @e[tag=zombie_figure] run execute at @s if entity @p[gamemode=!creative] unless block ~ ~ ~ acacia_button[face=floor,powered=true] run summon item ~ ~ ~ {Motion:[0.0,0.2,0.0],Tags:["zombie_figure_spawner:1"],Item:{id:"minecraft:ghast_spawn_egg",Count:1b,tag:{display:{Name:'{"text":"Zombie Figurine","italic":false}'},zombie_figure_spawner:1,EntityTag:{id:"minecraft:armor_stand",Marker:1b,Invisible:1b,Tags:["zombie_figure_spawner"]}}}}
execute as @e[tag=zombie_figure] run execute at @s unless block ~ ~ ~ acacia_button[face=floor,powered=true] run kill @s
