# Block Placing
execute at @e[tag=crimson_beacon_spawner] unless block ~ ~-1 ~ #minecraft:fences unless block ~ ~-1 ~ #minecraft:walls unless block ~ ~-1 ~ #minecraft:fence_gates run summon armor_stand ~ ~ ~ {Marker:1b,Invisible:1b,Tags:["crimson_beacon"],Rotation:[0F,90F],ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{crimson_beacon:1}}],Tags:["crimson_beacon"]}
execute at @e[tag=crimson_beacon_spawner] if block ~ ~-1 ~ #minecraft:fences run summon armor_stand ~ ~-0.5 ~ {Marker:1b,Invisible:1b,Tags:["crimson_beacon"],Rotation:[0F,90F],ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{crimson_beacon:1}}],Tags:["crimson_beacon"]}
execute at @e[tag=crimson_beacon_spawner] if block ~ ~-1 ~ #minecraft:fence_gates run summon armor_stand ~ ~-0.5 ~ {Marker:1b,Invisible:1b,Tags:["crimson_beacon"],Rotation:[0F,90F],ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{crimson_beacon:1}}],Tags:["crimson_beacon"]}
execute at @e[tag=crimson_beacon_spawner] if block ~ ~-1 ~ #walls run summon armor_stand ~ ~-0.5 ~ {Marker:1b,Invisible:1b,Tags:["crimson_beacon"],Rotation:[0F,90F],ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{crimson_beacon:1}}],Tags:["crimson_beacon"]}
execute at @e[tag=crimson_beacon_spawner] run setblock ~ ~ ~ minecraft:skeleton_skull

# Place Sound
execute at @e[tag=crimson_beacon_spawner] run playsound block.stone.place block @a ~ ~ ~ 1 0.5
execute at @e[tag=crimson_beacon_spawner] run playsound minecraft:block.beacon.activate block @a ~ ~ ~ 1 0.5


# Block AI
execute at @e[tag=crimson_beacon] run effect give @a[distance=..6,gamemode=survival] mining_fatigue 300 3
execute at @e[tag=crimson_beacon] run effect clear @a[distance=..6,gamemode=creative] minecraft:mining_fatigue
execute at @e[tag=crimson_beacon] run execute if block ~ ~-1 ~ minecraft:soul_sand run effect give @a[distance=..30] minecraft:slowness 11 2
execute at @e[tag=crimson_beacon] run execute if block ~ ~-1 ~ minecraft:bone_block run effect give @a[distance=..30] minecraft:weakness 11 2
execute at @e[tag=crimson_beacon] run execute if block ~ ~-1 ~ minecraft:dark_prismarine run effect give @a[distance=..30] minecraft:mining_fatigue 11 2

execute at @e[tag=crimson_beacon] run execute if block ~ ~-1 ~ minecraft:hay_block run effect give @e[type=!player,distance=..30] minecraft:jump_boost 11 2
execute at @e[tag=crimson_beacon] run execute if block ~ ~-1 ~ minecraft:obsidian run effect give @e[type=!player,distance=..30] minecraft:resistance 11 2
execute at @e[tag=crimson_beacon] run execute if block ~ ~-1 ~ minecraft:soul_sand run effect give @e[type=!player,distance=..30] minecraft:speed 11 2
execute at @e[tag=crimson_beacon] run execute if block ~ ~-1 ~ minecraft:bone_block run effect give @e[type=!player,distance=..30] minecraft:strength 11 2
execute at @e[tag=crimson_beacon] run execute if block ~ ~-1 ~ minecraft:dark_prismarine run effect give @e[type=!player,distance=..30] minecraft:haste 11 2



# Block Break
kill @e[tag=crimson_beacon_spawner]
execute as @e[tag=crimson_beacon] run execute at @s unless block ~ ~ ~ minecraft:skeleton_skull run kill @e[type=item,distance=..0.8]
execute as @e[tag=crimson_beacon] run execute at @s unless block ~ ~ ~ minecraft:skeleton_skull run playsound minecraft:block.beacon.deactivate block @a ~ ~ ~ 1 0.5
execute as @e[tag=crimson_beacon] run execute at @s if entity @p[gamemode=!creative] unless block ~ ~ ~ minecraft:skeleton_skull run summon item ~ ~ ~ {Motion:[0.0,0.2,0.0],Tags:["crimson_beacon_spawner:1"],Item:{id:"minecraft:ghast_spawn_egg",Count:1b,tag:{display:{Name:'{"text":"Crimson Beacon","color":"red","italic":false}'},crimson_beacon_spawner:1,EntityTag:{id:"minecraft:armor_stand",Marker:1b,Invisible:1b,Tags:["crimson_beacon_spawner"]}}}}
execute as @e[tag=crimson_beacon] run execute at @s unless block ~ ~ ~ minecraft:skeleton_skull run kill @s