# Block Placing
execute at @e[tag=red_arm_chair_spawner] unless block ~ ~-1 ~ #minecraft:fences unless block ~ ~-1 ~ #minecraft:walls unless block ~ ~-1 ~ #minecraft:fence_gates run summon armor_stand ~ ~ ~ {Marker:1b,Invisible:1b,Tags:["red_arm_chair"],Rotation:[0F,90F],ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{red_arm_chair:1}}],Tags:["red_arm_chair"]}
execute at @e[tag=red_arm_chair_spawner] if block ~ ~-1 ~ #minecraft:fences run summon armor_stand ~ ~-0.5 ~ {Marker:1b,Invisible:1b,Tags:["red_arm_chair"],Rotation:[0F,90F],ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{red_arm_chair:1}}],Tags:["red_arm_chair"]}
execute at @e[tag=red_arm_chair_spawner] if block ~ ~-1 ~ #minecraft:fence_gates run summon armor_stand ~ ~-0.5 ~ {Marker:1b,Invisible:1b,Tags:["red_arm_chair"],Rotation:[0F,90F],ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{red_arm_chair:1}}],Tags:["red_arm_chair"]}
execute at @e[tag=red_arm_chair_spawner] if block ~ ~-1 ~ #walls run summon armor_stand ~ ~-0.5 ~ {Marker:1b,Invisible:1b,Tags:["red_arm_chair"],Rotation:[0F,90F],ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{red_arm_chair:1}}],Tags:["red_arm_chair"]}
execute at @e[tag=red_arm_chair_spawner] run setblock ~ ~ ~ minecraft:barrier
execute at @e[tag=red_arm_chair_spawner] run summon minecart ~ ~0.4 ~ {NoGravity:1b,Silent:1b,Tags:["seat"],CustomName:'{"text":"Invisible"}'}

# Place Sound
execute at @e[tag=red_arm_chair_spawner] run playsound block.wool.place block @a
execute at @e[tag=red_arm_chair_spawner] run playsound block.wood.place block @a

# Block Facing
execute at @e[tag=red_arm_chair_spawner] if entity @p[y_rotation=225..315] run execute as @e[tag=red_arm_chair,sort=nearest,limit=1] run execute at @s run tp @s ~ ~ ~ 90 ~
execute at @e[tag=red_arm_chair_spawner] if entity @p[y_rotation=315..405] run execute as @e[tag=red_arm_chair,sort=nearest,limit=1] run execute at @s run tp @s ~ ~ ~ 180 ~
execute at @e[tag=red_arm_chair_spawner] if entity @p[y_rotation=45..135] run execute as @e[tag=red_arm_chair,sort=nearest,limit=1] run execute at @s run tp @s ~ ~ ~ 270 ~
execute at @e[tag=red_arm_chair_spawner] if entity @p[y_rotation=135..225] run execute as @e[tag=red_arm_chair,sort=nearest,limit=1] run execute at @s run tp @s ~ ~ ~ 360 ~

# Block AI
kill @e[tag=red_arm_chair_spawner]
execute as @e[type=armor_stand,tag=red_arm_chair] run execute at @s unless entity @e[tag=seat,distance=..0.5] run kill @e[type=item,distance=..0.8]
execute as @e[type=armor_stand,tag=red_arm_chair] run execute at @s if entity @p[gamemode=!creative] unless entity @e[tag=seat,distance=..0.5] run summon item ~ ~ ~ {Motion:[0.0,0.2,0.0],Tags:["red_arm_chair_spawner:1"],Item:{id:"minecraft:ghast_spawn_egg",Count:1b,tag:{display:{Name:'{"text":"Red Arm Chair","italic":false}'},red_arm_chair_spawner:1,EntityTag:{id:"minecraft:armor_stand",Marker:1b,Invisible:1b,Tags:["red_arm_chair_spawner"]}}}}
execute at @e[type=armor_stand,tag=red_arm_chair] run data merge entity @e[type=minecart,tag=seat,limit=1,sort=nearest] {Motion:[0.0,0.0,0.0]}

# Block Break
execute as @e[type=armor_stand,tag=red_arm_chair] run execute at @s unless entity @e[tag=seat,distance=..0.5] run setblock ~ ~ ~ air
execute as @e[type=armor_stand,tag=red_arm_chair] run execute at @s unless entity @e[tag=seat,distance=..0.5] run kill @s