# Block Placing
scoreboard players set @e[type=armor_stand] isFenced 1
execute as @e[type=armor_stand] run execute at @s unless block ~ ~-1 ~ #minecraft:fencetype run execute at @s run scoreboard players set @s isFenced 0

execute at @e[tag=vase_spawner,scores={isFenced=0}] run summon armor_stand ~ ~ ~ {Marker:1b,Invisible:1b,Tags:["vase"],Rotation:[0F,90F],ArmorItems:[{},{},{},{id:"minecraft:ghast_spawn_egg",Count:1b,tag:{vase:1}}],Tags:["vase"]}
execute at @e[tag=vase_spawner,scores={isFenced=1}] run summon armor_stand ~ ~-0.5 ~ {Marker:1b,Invisible:1b,Tags:["vase"],Rotation:[0F,90F],ArmorItems:[{},{},{},{id:"minecraft:ghast_spawn_egg",Count:1b,tag:{vase:1}}],Tags:["vase"]}
execute at @e[tag=vase_spawner] run summon chicken ~ ~ ~ {EggLayTime:999999,NoGravity:1b,Silent:1b,DeathLootTable:"trash",PersistenceRequired:1b,NoAI:1b,Health:999f,Tags:["vase_hitbox"],ActiveEffects:[{Id:14b,Amplifier:1b,Duration:999999,ShowParticles:0b}],Attributes:[{Name:generic.max_health,Base:999}]}

# Place Sound
execute at @e[tag=vase_spawner] run playsound block.bone_block.place block @a

# Block Facing
execute as @e[tag=vase_spawner] run execute at @s if entity @p[y_rotation=225..315] run tp @e[type=armor_stand,limit=2,sort=nearest] ~ ~ ~ 90 ~
execute as @e[tag=vase_spawner] run execute at @s if entity @p[y_rotation=45..135] run tp @e[type=armor_stand,limit=2,sort=nearest] ~ ~ ~ 270 ~

execute as @e[tag=vase_hitbox] run execute unless entity @s[nbt={HurtTime:0s}] run tp @s ~ -300 ~
execute as @e[tag=vase_hitbox] run execute unless entity @s[nbt={HurtTime:0s}] run kill @s

# Block AI

data merge entity @e[type=chicken,limit=1,sort=random,tag=vase_hitbox] {EggLayTime:999999}
effect give @e[tag=vase_hitbox] minecraft:invisibility 999999 1 true

kill @e[tag=vase_spawner]

### Block Break
## Item Drop
execute as @e[tag=vase] run scoreboard players add @s timer 1
execute as @e[tag=vase,scores={timer=3..}] run scoreboard players set @s timer 1

execute as @e[tag=vase,scores={timer=1}] run execute if score number RNG_77 matches 1 run execute at @s unless entity @e[tag=vase_hitbox,distance=..0.5] run function odyssey_command:give_drachma
execute as @e[tag=vase,scores={timer=2}] run execute if score number RNG_77 matches 1 run execute at @s unless entity @e[tag=vase_hitbox,distance=..0.5] run function odyssey_command:give_drachma
execute as @e[tag=vase,scores={timer=2}] run execute if score number RNG_77 matches 1 run execute at @s unless entity @e[tag=vase_hitbox,distance=..0.5] run function odyssey_command:give_drachma

execute as @e[tag=vase] run execute at @s unless entity @e[tag=vase_hitbox,distance=..0.5] run playsound block.bone_block.break block @a
execute as @e[tag=vase] run execute at @s unless entity @e[tag=vase_hitbox,distance=..0.5] run playsound block.glass.break block @a
execute as @e[tag=vase] run execute at @s unless entity @e[tag=vase_hitbox,distance=..0.5] run kill @s
