# Block Placing
execute as @e[tag=water_candle_spawner] run execute at @s run scoreboard players set @s isFenced 1
execute as @e[tag=water_candle_spawner] run execute at @s unless block ~ ~-1 ~ #minecraft:fences unless block ~ ~-1 ~ #minecraft:walls unless block ~ ~-1 ~ #minecraft:fence_gates run execute at @s run scoreboard players set @e[limit=1,sort=nearest] isFenced 0
execute at @e[tag=water_candle_spawner,scores={isFenced=0}] run summon armor_stand ~ ~ ~ {Marker:1b,Invisible:1b,Tags:["water_candle"],Rotation:[0F,90F],ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{water_candle:1}}],Tags:["water_candle"]}
execute at @e[tag=water_candle_spawner,scores={isFenced=1}] run summon armor_stand ~ ~-0.5 ~ {Marker:1b,Invisible:1b,Tags:["water_candle"],Rotation:[0F,90F],ArmorItems:[{},{},{},{id:"minecraft:netherite_hoe",Count:1b,tag:{water_candle:1}}],Tags:["water_candle"]}
execute at @e[tag=water_candle_spawner] run summon chicken ~ ~ ~ {EggLayTime:999999,NoGravity:1b,Silent:1b,DeathLootTable:"trash",PersistenceRequired:1b,NoAI:1b,Health:999f,Tags:["water_candle_hitbox"],ActiveEffects:[{Id:14b,Amplifier:1b,Duration:999999,ShowParticles:0b}],Attributes:[{Name:generic.max_health,Base:999}]}

# Place Sound
execute at @e[tag=water_candle_spawner] run playsound block.candle.place block @a
execute at @e[tag=water_candle_spawner] run playsound block.pointed_dripstone.drip_water block @a

# Block AI
execute as @e[tag=water_candle] run execute at @s run tp @e[tag=water_candle_hitbox,distance=..1,sort=nearest,limit=1] ~ ~ ~
execute at @e[tag=water_candle] run particle soul_fire_flame ~ ~0.75 ~ 0 0 0 1 0 normal
effect give @e[tag=water_candle_hitbox] minecraft:invisibility 999999 1 true

execute as @e[tag=water_candle_hitbox] run execute unless entity @s[nbt={HurtTime:0s}] run tp @s ~ -300 ~
execute as @e[tag=water_candle_hitbox] run execute unless entity @s[nbt={HurtTime:0s}] run kill @s

data merge entity @e[type=chicken,limit=1,sort=random,tag=water_candle_hitbox] {EggLayTime:999999}

# Block Break
kill @e[tag=water_candle_spawner]
execute as @e[tag=water_candle] run execute at @s unless entity @e[tag=water_candle_hitbox,distance=..0.5] run kill @e[type=item,distance=..0.8]
execute as @e[tag=water_candle] run execute at @s unless entity @e[tag=water_candle_hitbox,distance=..0.5] run kill @e[type=experience_orb,distance=..0.8]
execute as @e[tag=water_candle] run execute at @s if entity @p[gamemode=!creative] unless entity @e[tag=water_candle_hitbox,distance=..0.5] run summon item ~ ~ ~ {Motion:[0.0,0.2,0.0],Tags:["zombie_figure_spawner:1"],Item:{id:"minecraft:ghast_spawn_egg",Count:1b,tag:{display:{Name:'{"text":"Water Candle","italic":false}'},water_candle_spawner:1,EntityTag:{id:"minecraft:armor_stand",Marker:1b,Invisible:1b,Tags:["water_candle_spawner"]}}}}
execute as @e[tag=water_candle] run execute at @s unless entity @e[tag=water_candle_hitbox,distance=..0.5] run playsound block.candle.break block @a
execute as @e[tag=water_candle] run execute at @s unless entity @e[tag=water_candle_hitbox,distance=..0.5] run kill @s
